use read_only::cast;

#[repr(C)]
#[cast]
pub struct Demo {
    pub a: i32,
    pub b: i32,
}

impl Demo {
    pub fn new(a: i32, b: i32) -> Self {
        Self { a, b }
    }
}

fn main() {
    let d = Demo::new(1, 2);
    let _ = d.a + d.b;
}
